[+ autogen5 template +]
[+
(define prefix_if_missing
        (lambda
                (name prefix)
                (string-append
                         (if
                                (==* (get name) prefix)
                                ""
                                prefix
                        )
                        (get name)
                )
        )
)
+]## Process this file with automake to produce Makefile.in
## Created by Anjuta

[+NameCLower+]_lib_LTLIBRARIES = [+(prefix_if_missing "Name" "lib")+].la

[+(prefix_if_missing "NameCLower" "lib")+]_la_SOURCES = \
	config.vapi \
	[+Name+].vala \
	[+FormName+].vala

[+(prefix_if_missing "NameCLower" "lib")+]_la_LIBADD = $([+NameCUpper+]_LIBS)
[+(prefix_if_missing "NameCLower" "lib")+]_la_LDFLAGS = \
	-avoid-version \
	-Wl,--export-dynamic

[+(prefix_if_missing "NameCLower" "lib")+]_la_CPPFLAGS = \
	-DPACKAGE_DATA_DIR=\"$([+NameCLower+]_datadir)\"[+IF (=(get "HaveI18n") "1")+] \
	-DPACKAGE_LOCALE_DIR=\"$(datadir)/locale\"[+ELSE+] \
	-DGETTEXT_PACKAGE=\"hedera-[+Name+]\" [+ENDIF+] \
	$([+NameCUpper+]_CFLAGS)
[+(prefix_if_missing "NameCLower" "lib")+]_la_CFLAGS = $(CFLAGS)
[+(prefix_if_missing "NameCLower" "lib")+]_la_VALAFLAGS = [+IF (not (= (get "PackageModule2") ""))+]\
	--pkg [+(string-substitute (get "PackageModule2") " " "	--pkg ")+] \
	[+ENDIF+]\
	$(VALAFLAGS)

[+NameCLower+]_querydir = $(querydir)/[+NameHLower+]
[+NameCLower+]_query_DATA = 

uninstall-local:
	rm -f $(DESTDIR)$(libdir)/hedera/module/[+(prefix_if_missing "Name" "lib")+].so

